package com.zbkj.service.service.bcx;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.zbkj.common.model.bcx.BcxFapiaoTitle;
import com.zbkj.common.request.PageParamRequest;
import com.zbkj.common.request.bcx.BcxFapiaoTitleRequest;

/**
 * 发票抬头表 服务接口
 */
public interface BcxFapiaoTitleService extends IService<BcxFapiaoTitle> {

    BcxFapiaoTitle queryById(Integer id);
    PageInfo<BcxFapiaoTitle> queryPagedList(PageParamRequest pageParamRequest);
    Boolean create(BcxFapiaoTitleRequest bcxFapiaoTitle);
    Boolean update(BcxFapiaoTitleRequest bcxFapiaoTitle);
    Boolean delete(Integer id);
}
